<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>CSS3 Flexbox Beispiel</title>
<link href="header.css" rel="stylesheet" type="text/css">
<?php 
$nr = 1; 
?>
<style type="text/css">
header nav ul li:nth-child(<?php echo $nr; ?>) {
	background: linear-gradient(0deg, #daf5f4, #9ae0dc);
}
</style>
</head>

<body>
<header>
  <nav>
    <h1>Home</h1>
    <?php include("menue.inc"); ?>
  </nav>
</header>
<main>
  <aside>
    <p>Lesen Sie unter Home, wie ich diese Seiten erstellt habe und was die Besonderheiten sind. Ich habe von diesen Seiten ein paar Versionen erstellt, die Schritt für Schritt komplexer werden. Diese Variante ist die komplexeste Variante. Die Varianten finden Sie auf dieser Seite zum <a href="../../../flexbox.html#tricks">Thema Flexbox</a> ganz unten. </p>
    <p>Es gibt außerdem noch ein <a href="http://www.on-design.de/tutor/php/dynMenue/index.php">ähnliches Beispiel</a> in meinen <a href="http://www.on-design.de/tutor/php/index.htm">PHP Tipps</a>, wo auch das Thema <a href="http://www.on-design.de/tutor/php/function2.php">include</a> erläutert wird.</p>
  </aside>
  <article>
    <p>Auf diesen Seiten wird CSS3 Flexbox genutzt. Es gibt 3 verschiedenen layout.css Dateien, in denen nur einige wenige Anweisungen stehen, um das Layout der Seite zu bestimmen. Das schöne ist das auf Bildschirmgrößen reagierende Verhalten der Flex Items, responsive (reagierend, beantwortend). </p>
    <p>Eine weitere Besonderheit dieses Beispiels ist, die Auslagerung des Menüs. Das Menü wird in eine Datei mit Endung inc geschrieben. Auf den einzelnen PHP Seiten wird es mittels PHP include Befehl eingefügt.</p>
    <p>Im Menü, welches als Codeschnipsel eingebunden ist, wird der Menüpunkt, der zur aktuell geöffneten Seite gehört hervorgehoben. Da aber alle Seiten das gleiche Menü einbinden, muss in irgendeiner Form der aktuelle Menüpunkt eine Information über die geöffnete Seite erhalten.</p>
    <p>Das li Element wird mittels CSS hervorgehoben. Der angewandte Selektor ist die Pseudoklasse nth-child(). Hierbei die Stelle der Reihenfolge in der Liste eingegeben. Diese Zahl wird per PHP echo Befehl in die Style Anweisung geschrieben. Um welche Zahl es sich handelt, könnte man direkt auf der Seite zuweisen, aber wenn sich die Reihenfolge der Seiten ändert, müssten auf allen Seiten auch diese Zahl aktualisiert werden, deshalb habe ich mich entschieden die Zahl im Menü als URL Parameter anzuhängen und auf den Seiten zu empfangen.</p>
    <p>Eine PHP Seite wird an der Endung php erkannt. Man kann auf einer PHP Seite HTML Code mit PHP Code mischen. Der Code einer PHP Seite wird auf dem Server geparst. Das heißt, dass ein PHP Programm auf dem Server, den Code ausführt und die Seite mit dem ausgeführten Code zurückgeschickt. Wenn eine HTML Seite angefordert wird, wird sie direkt zurückgeschickt. Sofern sich Javascript Code auf der HTML Seite befindet, wird dieser im Browser ausgeführt. Der PHP Code kann also nicht im Quelltext einer PHP Seite gelesen werden, da man immer das Ergebnis des ausgeführten Codes zurück bekommt. Damit Sie dieses Beispiel dennoch nachvollziehen können, überlasse ich Ihnen diese Seiten als ZIP Datei zum Download (großzügig wie ich nun mal bin :-)</p>
  </article>
  <aside> </aside>
  <aside> </aside>
  <aside>
    <p>Consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo </p>
    <p>duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. </p>
    <p> et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit a</p>
  </aside>
</main>
<footer> &copy; Michael Albers | Webdesign Dortmund | <a href="http://www.on-design.de">www.on-design.de</a> | <a href="http://www.pastorpixel.de">www.pastorpixel.de </a></footer>
</body>
</html>
